﻿$packageName = 'sqlserver2008r2express-engine'
$installerType = 'EXE'
$url = 'http://download.microsoft.com/download/0/4/B/04BE03CD-EAF3-4797-9D8D-2E08E316C998/SQLEXPR_x86_ENU.exe'
$url64 = 'http://download.microsoft.com/download/0/4/B/04BE03CD-EAF3-4797-9D8D-2E08E316C998/SQLEXPR_x64_ENU.exe'
$silentArgs = '/Action=Install /INSTANCENAME=SQLEXPRESS /Role=AllFeatures_WithDefaults /IACCEPTSQLSERVERLICENSETERMS /Hideconsole /Q'
$validExitCodes = @(0)
$InstallerLogLocation = "$env:temp\sqlsetup.log"

Try 
  {
  Install-ChocolateyPackage "$packageName" "$installerType" "$silentArgs" "$url" "$url64"  -validExitCodes $validExitCodes
  }

Catch 
  {
  "The installation of $packageName failed, please see installer log files at `"C:\Program Files\Microsoft SQL Server\100\Setup Bootstrap\Log`" and `"$InstallerLogLocation`" for more details." | write-host -foregroundcolor yellow
  }
  
If (Test-Path "$env:temp\chocolatey\$packageName") {Remove-Item "$env:temp\chocolatey\$packageName" -Recurse -Force}